Passphrase Constructor
======================

Construct a passphrase from [diceware](http://www.diceware.com) words. Sample
usage:
```dart
import 'dart:math';
import 'package:passphrase_constructor/passphrase_constructor.dart';

void main()
  var pass = new PassphraseConstructor(
      ['hello', 'world'], ['*&!', ')(%'], ['123', '098'], new Random());
  var size = 15;
  var useSpecials = true;
  var useNumbers = false;
  var useUpperCase = true;
  var passphrase = pass.construct(size, useSpecials, useNumbers, useUpperCase);
  print passphrase;
}
```
To run the unit tests from command line, run:
```bash
$ dart --checked test/passphrase_constructor_test.dart
```
To run the unit tests in a browser, open
`test/passphrase_constructor_test_ui.html`.

Have questions, comments, or suggestions? Join the [discussion
group](https://groups.google.com/forum/#!forum/passphrase-constructor-discuss).

Is something broken? File [a bug
report](https://github.com/rsolomakhin/password_constructor/issues/new).

[![Build Status](https://drone.io/github.com/rsolomakhin/passphrase_constructor/status.png)](https://drone.io/github.com/rsolomakhin/passphrase_constructor/latest)